nvidia-egl-gbm/main.sh
Ward from fusion-voyager-3 abed580053
Some checks failed
PikaOS Package Build & Release (Canary) (amd64-v3) / build (push) Has been cancelled
PikaOS Package Build & Release (amd64-v3) / build (push) Failing after 7m22s
initial commit
2024-08-12 04:16:25 +03:00

29 lines
736 B
Bash
Executable File

#! /bin/bash
set -e
VERSION="1.1.1.git1"
source ./pika-build-config.sh
echo "$PIKA_BUILD_ARCH" > pika-build-arch
# Clone Upstream
#git clone https://github.com/NVIDIA/egl-gbm -b "$VERSION"
git clone https://github.com/NVIDIA/egl-gbm ./nvidia-egl-gbm
cp -rvf ./debian ./nvidia-egl-gbm
cd ./nvidia-egl-gbm
#for i in $(cat ../patches/series) ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
# Get build deps
apt-get build-dep ./ -y
# Build package
LOGNAME=root dh_make --createorig -y -l -p nvidia-egl-gbm_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign
# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/